Config::MVP::Sequence(3)

NAME
Config::MVP::Sequence - an ordered set of named configuration sections

VERSION
version 2.200002

DESCRIPTION
A Config::MVP::Sequence is an ordered set of configuration sections, each of which has a name unique within the sequence.

For the most part, you can just consult Config::MVP to understand what this class is and how it's used.

ATTRIBUTES

  is_finalized
This attribute is true if the sequence has been marked finalized, which will prevent any changes (via methods like "add_section" or "delete_section"). It can be set with the "finalize" method.

METHODS

  add_section
  $sequence->add_section($section);

This method adds the given section to the end of the sequence. If the sequence already contains a section with the same name as the new section, an exception will be raised.

  delete_section
  my $deleted_section = $sequence->delete_section( $name );

This method removes a section from the sequence and returns the removed section. If no section existed, the method returns false.

  section_named
  my $section = $sequence->section_named( $name );

This method returns the section with the given name, if one exists in the sequence. If no such section exists, the method returns false.

  section_names
  my @names = $sequence->section_names;

This method returns a list of the names of the sections, in order.

  sections
  my @sections = $sequence->sections;

This method returns the section objects, in order.

AUTHOR
Ricardo Signes <rjbs@cpan.org>

COPYRIGHT AND LICENSE
This software is copyright (c) 2012 by Ricardo Signes.

This is free software; you can redistribute it and/or modify it under the same terms as the Perl 5 programming language system itself.